using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace PhidgetHealth
{
	public class UserForm : System.Windows.Forms.Form
	{
		#region ϐ
		public User user;
		private string lastDirectory = "";
		#endregion

		#region GUIR|[lg̐錾
		private System.Windows.Forms.TextBox textBoxId;
		private System.Windows.Forms.Label labelId;
		private System.Windows.Forms.Label labelTitle;
		private System.Windows.Forms.Label labelName;
		private System.Windows.Forms.TextBox textBoxName;
		private System.Windows.Forms.Button buttonOK;
		private System.Windows.Forms.Button buttonCancel;
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.GroupBox groupBoxSex;
		private System.Windows.Forms.RadioButton radioButtonSexMan;
		private System.Windows.Forms.RadioButton radioButtonSexWoman;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.NumericUpDown numericUpDownHeight;
		#endregion
		
		#region RXgN^/fXgN^
		
		public UserForm(User user)
		{
			InitializeComponent();
			
			this.user = user;
			textBoxId.Text = user.id.ToString();
			textBoxName.Text = user.name;
			numericUpDownHeight.Value = (decimal)user.height;
			if(user.sex == User.Sexes.Man)
			{
				radioButtonSexMan.Checked = true;
			}
			else
			{
				radioButtonSexWoman.Checked = true;
			}
		}

		
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#endregion

		#region GUIR|[lg̃Cxg
		
		private void buttonOK_Click(object sender, System.EventArgs e)
		{
			user.name = textBoxName.Text;
			user.height = (double)numericUpDownHeight.Value;
			if(radioButtonSexMan.Checked)
				user.sex = User.Sexes.Man;
			else
				user.sex = User.Sexes.Woman;
			return;
		}
		#endregion
		
		#region Windows Form Designer generated code
		/// <summary>
		/// fUCi T|[gɕKvȃ\bhłB̃\bh̓e
		/// R[h GfB^ŕύXȂłB
		/// </summary>
		private void InitializeComponent()
		{
			this.textBoxId = new System.Windows.Forms.TextBox();
			this.labelId = new System.Windows.Forms.Label();
			this.labelTitle = new System.Windows.Forms.Label();
			this.labelName = new System.Windows.Forms.Label();
			this.textBoxName = new System.Windows.Forms.TextBox();
			this.buttonOK = new System.Windows.Forms.Button();
			this.buttonCancel = new System.Windows.Forms.Button();
			this.groupBoxSex = new System.Windows.Forms.GroupBox();
			this.radioButtonSexWoman = new System.Windows.Forms.RadioButton();
			this.radioButtonSexMan = new System.Windows.Forms.RadioButton();
			this.label1 = new System.Windows.Forms.Label();
			this.numericUpDownHeight = new System.Windows.Forms.NumericUpDown();
			this.label2 = new System.Windows.Forms.Label();
			this.groupBoxSex.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.numericUpDownHeight)).BeginInit();
			this.SuspendLayout();
			// 
			// textBoxId
			// 
			this.textBoxId.Location = new System.Drawing.Point(72, 32);
			this.textBoxId.Name = "textBoxId";
			this.textBoxId.ReadOnly = true;
			this.textBoxId.Size = new System.Drawing.Size(160, 19);
			this.textBoxId.TabIndex = 0;
			this.textBoxId.Text = "";
			// 
			// labelId
			// 
			this.labelId.Location = new System.Drawing.Point(16, 32);
			this.labelId.Name = "labelId";
			this.labelId.Size = new System.Drawing.Size(24, 23);
			this.labelId.TabIndex = 1;
			this.labelId.Text = "ID:";
			// 
			// labelTitle
			// 
			this.labelTitle.Location = new System.Drawing.Point(8, 8);
			this.labelTitle.Name = "labelTitle";
			this.labelTitle.Size = new System.Drawing.Size(216, 16);
			this.labelTitle.TabIndex = 2;
			this.labelTitle.Text = "[Uo^܂";
			// 
			// labelName
			// 
			this.labelName.Location = new System.Drawing.Point(16, 72);
			this.labelName.Name = "labelName";
			this.labelName.Size = new System.Drawing.Size(48, 16);
			this.labelName.TabIndex = 3;
			this.labelName.Text = "Name:";
			// 
			// textBoxName
			// 
			this.textBoxName.Location = new System.Drawing.Point(72, 72);
			this.textBoxName.Name = "textBoxName";
			this.textBoxName.Size = new System.Drawing.Size(160, 19);
			this.textBoxName.TabIndex = 1;
			this.textBoxName.Text = "";
			// 
			// buttonOK
			// 
			this.buttonOK.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.buttonOK.Location = new System.Drawing.Point(48, 200);
			this.buttonOK.Name = "buttonOK";
			this.buttonOK.Size = new System.Drawing.Size(56, 23);
			this.buttonOK.TabIndex = 4;
			this.buttonOK.Text = "o^";
			this.buttonOK.Click += new System.EventHandler(this.buttonOK_Click);
			// 
			// buttonCancel
			// 
			this.buttonCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.buttonCancel.Location = new System.Drawing.Point(144, 200);
			this.buttonCancel.Name = "buttonCancel";
			this.buttonCancel.TabIndex = 5;
			this.buttonCancel.Text = "LZ";
			// 
			// groupBoxSex
			// 
			this.groupBoxSex.Controls.Add(this.radioButtonSexWoman);
			this.groupBoxSex.Controls.Add(this.radioButtonSexMan);
			this.groupBoxSex.Location = new System.Drawing.Point(16, 144);
			this.groupBoxSex.Name = "groupBoxSex";
			this.groupBoxSex.Size = new System.Drawing.Size(224, 40);
			this.groupBoxSex.TabIndex = 3;
			this.groupBoxSex.TabStop = false;
			this.groupBoxSex.Text = "";
			// 
			// radioButtonSexWoman
			// 
			this.radioButtonSexWoman.Location = new System.Drawing.Point(144, 16);
			this.radioButtonSexWoman.Name = "radioButtonSexWoman";
			this.radioButtonSexWoman.Size = new System.Drawing.Size(56, 16);
			this.radioButtonSexWoman.TabIndex = 2;
			this.radioButtonSexWoman.Text = "";
			// 
			// radioButtonSexMan
			// 
			this.radioButtonSexMan.Location = new System.Drawing.Point(48, 16);
			this.radioButtonSexMan.Name = "radioButtonSexMan";
			this.radioButtonSexMan.Size = new System.Drawing.Size(56, 16);
			this.radioButtonSexMan.TabIndex = 1;
			this.radioButtonSexMan.Text = "j";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(16, 112);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(40, 16);
			this.label1.TabIndex = 12;
			this.label1.Text = "g:";
			// 
			// numericUpDownHeight
			// 
			this.numericUpDownHeight.DecimalPlaces = 1;
			this.numericUpDownHeight.Location = new System.Drawing.Point(72, 112);
			this.numericUpDownHeight.Maximum = new System.Decimal(new int[] {
																				300,
																				0,
																				0,
																				0});
			this.numericUpDownHeight.Name = "numericUpDownHeight";
			this.numericUpDownHeight.Size = new System.Drawing.Size(72, 19);
			this.numericUpDownHeight.TabIndex = 2;
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(152, 112);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(32, 16);
			this.label2.TabIndex = 14;
			this.label2.Text = "cm";
			// 
			// UserForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 12);
			this.ClientSize = new System.Drawing.Size(250, 232);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.numericUpDownHeight);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.groupBoxSex);
			this.Controls.Add(this.buttonCancel);
			this.Controls.Add(this.buttonOK);
			this.Controls.Add(this.textBoxName);
			this.Controls.Add(this.labelName);
			this.Controls.Add(this.labelTitle);
			this.Controls.Add(this.labelId);
			this.Controls.Add(this.textBoxId);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.Name = "UserForm";
			this.Text = "UserForm";
			this.groupBoxSex.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.numericUpDownHeight)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

	}
}
